<div style="margin: 5%;margin-top: 10%;text-align: center;">
  <div class="form-row">
    <mat-radio-group aria-label="Select an option" style="margin: auto;">
      <mat-radio-button value="1" checked>Se connecter</mat-radio-button>
      <mat-radio-button value="2">S'inscrire</mat-radio-button>
    </mat-radio-group>
  </div>
  <form class="example-form">
    <div class="form-row">
      <mat-form-field class="example-full-width">
        <input matInput placeholder="Adresse Email" [(ngModel)]="form.email" name="email" >
        <label matSuffix style="color: #0082ca">@</label>
      </mat-form-field>
    </div>
    <div class="form-row">
      <mat-form-field class="example-full-width">
        <input matInput type="password" placeholder="Mot de passe" [(ngModel)]="form.password" name="password">
        <img src="./assets/lock.png" matSuffix>
      </mat-form-field>
    </div>

  </form>
  <div style="margin-top: 30px;margin-bottom: 100px;">
    <mat-checkbox value="true" style="font-size: 14px;float: left;" [(ngModel)]="rememberme">Se souvenir de moi</mat-checkbox>
    <a style="font-size: 14px;float: right;text-decoration: underline;" (click)="onClickForgetPassword(content)"> Oublier le mot de passe?</a>
  </div>
  <button type="button" class="btn btn-primary" style="width: 100%;" (click)="connect()">Se connecter <img src="./assets/connect-icon.png" ></button>
</div>

<ng-template #content let-modal>
  <div class="modal-header">
    <h4 class="modal-title" id="modal-basic-title">Mot de passe oublié?</h4>

  </div>
  <div class="modal-body" style="margin-right: 20px;">
    <div class="form-row">
      <form class="example-form">
        <mat-form-field class="example-full-width">
          <input matInput *ngIf="form.email!== null && form.email!==undefined" value="{{form.email|hideemail}}" readonly/>
          <input matInput placeholder="Adresse Email" [(ngModel)]="emailformodal" name="emailformodal" *ngIf="form.email=== null || form.email===undefined" >
          <label matSuffix style="color: #0082ca">@</label>
        </mat-form-field>
      </form>
    </div>
    <button type="button" class="btn btn-primary" (click)="confirmForgetPassword()">
      Envoyer
    </button>
  </div>

</ng-template>
